<div [class]="'accordion-component '  + theme" id="accordionComponent" [ngClass]="{ expanded: isExpanded }">
  <div class="accordion-header" id="accordionHeader" (click)="collapseToggle()">
    <div class="card-header">
      <div class="custom-control custom-checkbox" *ngIf="showCheckbox; else label">
        <input
          (change)="collapseToggle()"
          [checked]="isExpanded"
          class="custom-control-input collapsed"
          type="checkbox"
          id="qa-checkbox"
          data-qa-test="qa-checkbox"
        />
        <label
          class="custom-control-label"
          id="qa-label"
          data-qa-test="qa-label"
        >
          {{ primaryLabel }}
          <span
            class="secondary-text"
            *ngIf="secondaryLabel"
            id="qa-secondary-label"
          >
            {{ secondaryLabel }}
          </span>
        </label>
      </div>
      <ng-template #label>
        <div class="text">
          {{ primaryLabel }}
          <span
            class="secondary-text"
            *ngIf="secondaryLabel"
            id="qa-secondary-label01"
          >
            {{ secondaryLabel }}
          </span>
        </div>
      </ng-template>
      <button class="collapse-edit-button" type="button" id="qa-button">
        <fa-icon
          [icon]="isExpanded ? faChevronUp : faChevronDown"
          class="chevron chevron-up"
        ></fa-icon>
      </button>
    </div>
  </div>
  <div
    [ngClass]="{ hide: !isExpanded }"
    class="accordion-body"
    id="qa-accordion-body"
  >
    <ng-template *ngTemplateOutlet="accordionBody"></ng-template>
  </div>
</div>
